; two implementations of fibonacci

; tree recursive

(define (fib-a n)
  (cond ((= n 0) 0)
        ((= n 1) 1)
        (else (+ (fib-a (- n 1))
                 (fib-b (- n 2))))))

; iterative

(define (fib-b n)
  (define (iter a b count)
    (if (= count 0)
        b
        (iter (+ a b) a (- count 1))))
  (iter 1 0 n))

